import React, { useState } from 'react'
import Taro from '@tarojs/taro'
import { AtModal, AtModalHeader, AtModalContent, AtModalAction } from "taro-ui"
import { Button } from '@tarojs/components'
import { useSelector,useDispatch } from 'react-redux'
import request from '@/util/request'
import './index.scss'

export default function GetUserPhone(props) {

    const user = useSelector(state => state.user)
    const dispatch = useDispatch()

    const ToGetUserPhone = (e) => { // 授权手机号
        const { errMsg, ...data } = e.detail
        console.log(e, 'e')
        if (errMsg === 'getPhoneNumber:ok') {
            request({
                url: "/taPerson/phone",
                method: 'post',
                data: {
                    sessionKey: user.sessionKey || '',
                    encryptedData: data.encryptedData,
                    iv: data.iv,
                }
            }).then((res) => {
                // setUser({ ...user, phone: res.phoneNumber })

                if (props.onOk) {
                    props.onOk(res)
                }
            }).catch((er) => {
                if (props.onError) {
                    props.onError(er.message || er.errMsg || er)
                }
            })
        } else {
            if (props.onError) {
                props.onError(errMsg)
            }
        }
    }

    const handleCancel = () => {
        // setShowPannel(false)
        if (props.onCancel) {
            props.onCancel()
        }
    }

    return (
        <AtModal isOpened={props.visible} closeOnClickOverlay={false}>
            <AtModalHeader>您暂未授权手机号</AtModalHeader>
            <AtModalAction>
                <Button onClick={handleCancel}>取消</Button>
                <Button
                    className='flex-item'
                    open-type='getPhoneNumber'
                    lang='zh_CN'
                    onGetphonenumber={ToGetUserPhone}
                >去授权</Button>
            </AtModalAction>
        </AtModal>
    )

    // return props.visible && (
    //     <view style={{textAlign:'center'}}> 
    //         <view className='GetUserPhone'>
    //             {
    //                 showPannel && (
    //                     <view className='centerLabel'>
    //                         <text>您暂未授权手机号</text>
    //                         <view className='flex-h'>
    //                             <text className='flex-item' onClick={handleCancel}>取消</text>
    //                             
    //                         </view>
    //                     </view>
    //                 )
    //             }
    //         </view>
    //     </view>
    // )
}