import React, { useEffect, useMemo, useState } from 'react'
import Taro, { useDidShow, useRouter } from "@tarojs/taro";
import { useSelector } from 'react-redux'
import { View, Input, Text, Image } from '@tarojs/components'
import Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Container from '../../compents/container/index'
import locationicon from '../../assets/locationicon.png'
import './index.scss'
import request from '../../util/request';

const index = (props) => {

    const router = useRouter()

    const { houseId, type } = router.params

    const [userRole, setUserRole] = useState('1')
    const [pageState, setPageState] = useState('1')
    const [address, setAddress] = useState({})
    // const [lngLat, setLngLat] = useState('')

    useDidShow(() => {

    })

    useEffect(() => {
        
        if (houseId) {
            getDetail()
        }

    }, [])
    const getDetail = () => {
        request({ url: `/taHouse/${houseId}` }).then((res) => {
            console.log(res.data.data,type, 'getDetail')
            if (type == "address") {
                setAddress({
                    address:res.data.data.address,
                    lngLat:res.data.data.lngLat
                })
                // setAddress(res.data.data.address)
                // setLngLat(res.data.data.lngLat)
            }else if (type == 'park'){

                setAddress({
                    address:res.data.data.parking,
                    lngLat:res.data.data.parkLngLat
                })
                // address(res.data.data)
                // setAddress(res.data.data.parking)
                // setLngLat(res.data.data.parkLngLat)
            }

        })
    }


    const onClick = (e) => {
        console.log(e, '111')
        let data = {}
        if (type == 'address') {
            data = {
                address: address.address,
                lngLat:`${address.latitude},${address.longitude}`
            }
        } else if (type == 'park') {
            data = {
                parking: address.address,
                parkLngLat:`${address.latitude},${address.longitude}`
            }
        }
        console.log(data, '111')

        request({ url: `/taHouse/${houseId}`, method: 'put', data: { ...data, houseId } }).then((res) => {
            Taro.navigateBack({
                delta: 1
            })
        })
    }

    const onChange = (e) => {
        console.log(e, '111')
        // setLngLat(e.detail.value)
    }
    const onChooseLocation = () => {
        console.log(333)
        wx.chooseLocation({
            success: (res) => {
                console.log(res)

                setAddress(res)
            },
            fail: (err) => {
                console.log(err)

                // setAddress(res)
            },
        })
    }


    return <View className='map'>




        <Layout>
            {/* <View className='map-view'>
                <Text className='title'></Text>
                <Container className='map-view-card'>
                <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='小区/写字楼/大厦等' />
                </Container>
            </View> */}
            <View className='map-view' >
                <Text className='title'>位置信息</Text>
                <View style={{ display: 'flex' }}>
                    <Container className='map-view-card' style={{ width: '100%' }}>
                        {address.address&&<Input value={address.address} disabled placeholderClass='placeholderinput' className='input' type='text' placeholder='' />}

                    </Container>
                    <Container className='map-view-icon' onClick={() => onChooseLocation()}>
                        <Image className='icon' mode='widthFix' style={{ width: '100%' }} style={{ width: '40rpx' }} src={locationicon} />

                    </Container>
                </View>
            </View>
            <View className='map-view'>
                <Text className='title'>具体地址</Text>
                <Container className='map-view-card'>
                    <Input  onInput={onChange} placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                </Container>
            </View>
        </Layout>
        {pageState == '1' && <Tab className='addhousetab' pageState='3' value={['取消', '保存修改']} onClick={[(e) => Taro.navigateBack({
            delta: 1
        }), () => onClick()]}></Tab>}





    </View>
}

export default index